org.icefaces.ace.component.datatable

## Class AutoAdjustRenderedColspan

- java.lang.Object
- - org.icefaces.ace.component.datatable.AutoAdjustRenderedColspan

-     public class AutoAdjustRenderedColspan
      extends java.lang.Object

  If a header ColumnGroup is used, with multiple row(s), there can be a hierarchy of header columns, where a parent with its colspan can stretch over several child ones below. In that case, if the parent ceases to be rendered, then none of the children or offspring should be rendered. Likewise, if every child is not rendered, then the parent should nt be either. And if several, but not all, children are not rendered, then the parent should be rendered, but have a lesser colspan to account for only rendering over the remaining columns. This makes all of these necessary adjustments.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AutoAdjustRenderedColspan.AdjustedRenderedColspan`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoAdjustRenderedColspan()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Map<java.lang.String,AutoAdjustRenderedColspan.AdjustedRenderedColspan>` | `adjust(ColumnModel columnModel)`
    `static java.util.Map<java.lang.String,AutoAdjustRenderedColspan.AdjustedRenderedColspan>` | `adjustIfAllowed(TableConfigPanel panel, ColumnModel columnModel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoAdjustRenderedColspan

          public AutoAdjustRenderedColspan()

  - ### Method Detail

    - #### adjustIfAllowed

          public static java.util.Map<java.lang.String,AutoAdjustRenderedColspan.AdjustedRenderedColspan> adjustIfAllowed(TableConfigPanel panel,
                                                                                                                          ColumnModel columnModel)

    - #### adjust

          public static java.util.Map<java.lang.String,AutoAdjustRenderedColspan.AdjustedRenderedColspan> adjust(ColumnModel columnModel)

      Parameters:
        `columnModel` -
      Returns:
        Map

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.